Name: libmirage
Version: 1.3.0
Release: alt0.M50P.1

Summary: A CD-ROM image access library
License: GPLv2+
Group: System/Libraries

URL: http://cdemu.sourceforge.net
Packager: Nazarov Denis <nenderus@altlinux.org>

Source0: http://downloads.sourceforge.net/cdemu/%name-%version.tar.gz

# Automatically added by buildreq on Thu Nov 11 2010 (-bi)
BuildRequires: glib2-devel gtk-doc libsndfile-devel shared-mime-info zlib-devel

BuildRequires: pkgconfig >= 1:0.14
BuildRequires: flex >= 2.5.33, bison
BuildRequires: libsndfile-devel
BuildRequires: zlib-devel

Requires(post): shared-mime-info
Requires(postun): shared-mime-info

%description
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

The aim of libMirage is to provide uniform access to the data stored in 
different image formats, by creating a representation of disc stored in image 
file, which is based on GObjects.

%package devel
Summary: A CD-ROM image access library
Group: Development/C
Requires: %name = %version-%release
Requires: glib2-devel

%description devel
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

This package contains files needed to develop with libMirage.

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make_build

%install
%make install DESTDIR=%buildroot
find %buildroot%_libdir -name *.la -or -name \*.a | xargs rm -f

%post 
update-mime-database %_datadir/mime &> /dev/null || :

%postun 
update-mime-database %_datadir/mime &> /dev/null || :

%files
%_defattr
%doc AUTHORS ChangeLog COPYING NEWS README
%_libdir/libmirage.so.*
%_libdir/libmirage-1.3/*.so
%_datadir/mime/packages/*

%files devel
%_defattr
%_libdir/lib*.so
%_includedir/*
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%changelog
* Mon Jan 24 2011 Nazarov Denis <nenderus@altlinux.org> 1.3.0-alt0.M50P.1
- Version for branch p5

* Thu Nov 11 2010 Nazarov Denis <nenderus@altlinux.org> 1.3.0-alt1
- Version 1.3.0

* Wed Feb 03 2010 Repocop Q. A. Robot <repocop@altlinux.org> 1.1.0-alt1.qa1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for libmirage
  * postun_ldconfig for libmirage
  * shared-mime-info for libmirage
  * postclean-05-filetriggers for spec file

* Fri Nov 14 2008 Nick S. Grechukh <gns@altlinux.org> 1.1.0-alt1
- first build for ALT Linux

* Sat Jun 28 2008 Rok Mandeljc <rok.mandeljc@email.si> - 1.1.0-1
- Updated to 1.1.0

* Thu Dec 20 2007 Rok Mandeljc <rok.mandeljc@email.si> - 1.0.0-1
- Initial RPM release.
